﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Searching for Accounts</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Searching for Accounts</h1>
        <p>Using the <strong>Advanced</strong> button in Accounts show page, you can search for accounts using various search options described in the following section.</p>
        <p>To narrow down and display accounts specific to your filter criteria, perform the following steps:</p>
        <ol>
            <li>Click <strong>ADMIN &gt; Identity Repository &gt; Accounts</strong>.&#160;<br />The Accounts show page is displayed.</li>
            <li>Click <strong>Advanced</strong>.<br />The <strong>Advanced Search</strong> dialog-box is displayed.<br /><img src="../../Resources/Images/Advanced Search Filteration.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" /><br />Figure: Advanced Search Filteration dialog-box</li>
            <li>
                <p class="auto-cursor-target">Perform the search for Account based on the parameters, as described in the following table.</p>
                <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col class="TableStyle-Default-Table-Column-Column1" />
                    <col class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter Name</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Parameter Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Account Name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to specify the account name for which you want to search.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Account Type</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the Account Type from the list based on which you want to filter the accounts. The account types are listed based on the ACCOUNT TYPE available in accounts table of your database.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Description</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the description of account based on which you want to search the accounts, matching the Account description.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Created on</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the specific date on which the account got created in IGA. The search considers the accounts created on the selected date and only displays those accounts.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Last Login Date</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the last login date of the user account. Search criteria will check for the last login date and displays those accounts, which have a matching date as the last login date you selected.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Valid Through</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the date for which you want to filter accounts that are active in IGA till the selected Valid Through date. Search only displays the Accounts, which are marked as active till the Valid Through date selected.&#160;The Valid From and Valid Through parameters are used as dynamic attributes to indicate the date from which and the date till which account remains active in IGA.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">User Name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to search accounts with the specified username. Search displays account matching the specified username only.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Comment</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to search accounts for which the specified comment is provided.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Status</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Using account status, you can perform search for selected account status. Accounts matching the selected accounts status are only displayed.</p>
                                <p class="table-text">Status of account can be any one of the following:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Active: </strong>Status is displayed as 'Active' in IGA, when an account with active status is imported from third-party application to IGA.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Inactive:</strong>&#160;Status is displayed as 'Inactive' in IGA, when an account with inactive status is imported from third-party application to IGA. &#160;</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Decommission Active:</strong> When you have <strong>active accounts</strong> for a particular 3rd party application and if the connection to the respective 3rd party application is disabled or not working then <strong>active accounts</strong> for the respective 3rd party application are marked as '<strong>Decommission Active</strong>'.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Decommission Inactive:&#160;</strong>When you have <strong>inactive accounts</strong> for a particular 3rd party application and if the connection to the respective 3rd party application is disabled or not working then <strong>inactive accounts</strong> for the respective 3rd party application are marked as '<strong>Decommission Inactive</strong>'.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Manually Suspended:</strong> When you have manually <strong>disabled</strong>&#160;(inactive) the status of an account in IGA, then manually disabled accounts are marked as <strong>Manually Suspended</strong>.&#160;&#160;</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Manually Provisioned:</strong>&#160;When you have manually provisioned (created) account in IGA, the status of account in IGA is marked as <strong>Manually Provisioned</strong>.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Suspended from Import Service: </strong>To understand the status 'Suspended from Import Service', let us consider the scenario where you have an active account in IGA for a cloud application. Due to some reason, if the same account in the respective third-party cloud application is deleted then when you perform an import from the third-party cloud application, the status of account is marked as 'Suspended from Import Service'. Accounts are never deleted from IGA when the same account is deleted from third-party application. Hence, accounts deleted from third-party application are retained in IGA but marked as 'Suspended from Import Service.&#160;</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Creator</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to specify the username of the user who created the account. Search displays only those accounts, which are created by the given username in Creator field.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Valid From</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the date for which you want to filter accounts that are active in IGA from the selected Valid From date. Search only displays the Accounts, which are marked as active from the Valid From date selected. The Valid From and Valid Through parameters are used as dynamic attributes to indicate the date from which and the date till which account remains active in IGA.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Security System</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the security system from the drop-down. Advanced search displays only those accounts belonging to the respective security system (third-party application).</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Locked State</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Select one of the following locked state of an account. The search displays only those accounts with the selected locked state.</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Locked: </strong>Lists all the accounts whose account status is locked</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Unlocked: </strong>Lists all the accounts whose account status is unlocked.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>
				Click <strong>Search</strong>.<br />Based on your search criteria, filtration happens and accounts matching the Accounts filtration are displayed, as shown in the following figure.<br /><p><img src="../../Resources/Images/Accounts Search Results.jpg" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" /></p><p>Figure: Accounts Search Results<br /></p></li>
        </ol>
    </body>
</html>